#ifndef DmaSGListBufferH
#define DmaSGListBufferH DmaSGListBufferH

int init_sg_buffer_list(  struct hyperion_object* device );
void release_sg_buffer_list( struct hyperion_object* device );
struct dma_sg_list_entry* get_sg_list_buffer( struct hyperion_device_object* dev_obj );
void free_sg_list_buffer(  struct hyperion_device_object* dev_obj, struct dma_sg_list_entry* dma_sg_list );

#endif //DmaSGListBufferH
